cfg.c File Reference
`#include "config.h"`
`#include "daemon/cfg.h"`
`#include "parser/confparser.h"`
`#include "file.h"`
`#include "log.h"`
`#include "status.h"`
`#include <errno.h>`
`#include <stdio.h>`
`#include <string.h>`

Go to the source code of this file.

## Functions

engineconfig_type * | engine_config (const char *cfgfile, int cmdline_verbosity, engineconfig_type *oldcfg)
ods_status | engine_config_check (engineconfig_type *config)
void | engine_config_print (FILE *out, engineconfig_type *config)
void | engine_config_cleanup (engineconfig_type *config)

## Function Documentation

## engine_config()

engineconfig_type * engine_config | ( | const char * | cfgfile,
|  | int | cmdline_verbosity,
|  | engineconfig_type * | oldcfg )

Configure engine.

Definition at line 59 of file cfg.c.

References engineconfig_struct::automatic_keygen_duration, engineconfig_struct::cfg_filename, engineconfig_struct::chroot, engineconfig_struct::clisock_filename, engineconfig_struct::datastore, engineconfig_struct::db_host, engineconfig_struct::db_password, engineconfig_struct::db_port, engineconfig_struct::db_type, engineconfig_struct::db_username, engineconfig_struct::delegation_signer_retract_command, engineconfig_struct::delegation_signer_submit_command, engineconfig_struct::group, engineconfig_struct::log_filename, engineconfig_struct::manual_keygen, engineconfig_struct::num_worker_threads, parse_conf_automatic_keygen_period(), parse_conf_chroot(), parse_conf_clisock_filename(), parse_conf_datastore(), parse_conf_db_host(), parse_conf_db_password(), parse_conf_db_port(), parse_conf_db_type(), parse_conf_db_username(), parse_conf_delegation_signer_retract_command(), parse_conf_delegation_signer_submit_command(), parse_conf_group(), parse_conf_log_filename(), parse_conf_manual_keygen(), parse_conf_pid_filename(), parse_conf_policy_filename(), parse_conf_repositories(), parse_conf_rollover_notification(), parse_conf_use_syslog(), parse_conf_username(), parse_conf_verbosity(), parse_conf_worker_threads(), parse_conf_working_dir(), parse_conf_zonefetch_filename(), parse_conf_zonelist_filename(), parse_file_check(), engineconfig_struct::pid_filename, engineconfig_struct::policy_filename, engineconfig_struct::repositories, engineconfig_struct::rollover_notification, engineconfig_struct::use_syslog, engineconfig_struct::username, engineconfig_struct::verbosity, engineconfig_struct::working_dir, engineconfig_struct::zonefetch_filename, and engineconfig_struct::zonelist_filename.

Referenced by main().

## engine_config_check()

ods_status engine_config_check | ( | engineconfig_type * | config | ) |

Check configuration.

Definition at line 155 of file cfg.c.

References engineconfig_struct::clisock_filename, engineconfig_struct::datastore, engineconfig_struct::policy_filename, and engineconfig_struct::zonelist_filename.

Referenced by main().

## engine_config_cleanup()

void engine_config_cleanup | ( | engineconfig_type * | config | ) |

Clean up config.

Definition at line 278 of file cfg.c.

References engineconfig_struct::cfg_filename, engineconfig_struct::chroot, engineconfig_struct::clisock_filename, engineconfig_struct::datastore, engineconfig_struct::db_host, engineconfig_struct::db_password, engineconfig_struct::db_username, engineconfig_struct::delegation_signer_retract_command, engineconfig_struct::delegation_signer_submit_command, engineconfig_struct::group, engineconfig_struct::log_filename, engineconfig_struct::pid_filename, engineconfig_struct::policy_filename, engineconfig_struct::repositories, engineconfig_struct::username, engineconfig_struct::working_dir, engineconfig_struct::zonefetch_filename, and engineconfig_struct::zonelist_filename.

Referenced by main().

## engine_config_print()

void engine_config_print | ( | FILE * | out,
|  | engineconfig_type * | config )

Print configuration.

Definition at line 189 of file cfg.c.

References engineconfig_struct::chroot, engineconfig_struct::delegation_signer_retract_command, engineconfig_struct::delegation_signer_submit_command, engineconfig_struct::group, engineconfig_struct::log_filename, engineconfig_struct::manual_keygen, engineconfig_struct::num_worker_threads, engineconfig_struct::policy_filename, engineconfig_struct::use_syslog, engineconfig_struct::username, engineconfig_struct::working_dir, engineconfig_struct::zonefetch_filename, and engineconfig_struct::zonelist_filename.

Referenced by main().